
TYPO3.Fluid - Bug # 42947

Status: Rejected Priority: Won't have this time
Author: Dominic Garms Category: ViewHelpers
Created: 2012-11-14 Assigned To: Adrian Föder
Updated: 2015-04-01 Due date:
Has patch: No
Affected Flow version: FLOW3 1.1.0
Subject: TextareaViewHelper is missing required attribute for html5
Description

Hi,

the required attribute is missing in the TextareaViewHelper, which is important for client-side validation for modern browsers / and
polyfill fallbacks if using webshim libs.

Would be great to have,

Regards,
Dominic

Related issues:
related to TYPO3.Fluid - Feature # 36249: Add autocomplete property to form i... Rejected

History
#1 - 2012-11-14 08:18 - Adrian Föder
- Status changed from New to Rejected
- Priority changed from Should have to Won't have this time

Hi Dominic,

at this time, you are able to use the "additionalAttributes" argument, for example
<f:foo class="bar" additionalAttributes="{required: 'required'}" />.

Feel free to ask back if something is not clear yet :)

(edited since I confused two issues)

#2 - 2012-11-14 08:21 - Adrian Föder
- Status changed from Rejected to New
- Priority changed from Won't have this time to -- undefined --

#3 - 2012-11-14 08:34 - Adrian Föder
- Category set to ViewHelpers
- Status changed from New to Rejected
- Assigned To set to Adrian Föder
- Priority changed from -- undefined -- to Won't have this time

I thought I remember an issue specifically affecting the required thingie; but I'm not sure. So far I still think "additionalArguments" should be the way to
go.

#4 - 2015-04-01 10:38 - Christian Knuth

this is so bad. it's developer unfriendly and not intuitive. Any reason why unknown attributes are not passed-through?
